%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global pypi_name oslo.privsep
%global pkgname oslo-privsep

Name:           python-%{pkgname}
Version:        1.13.0
Release:        8%{?dist}
Summary:        OpenStack library for privilege separation

License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0:        https://pypi.io/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch



%description
OpenStack library for privilege separation


%package -n     python3-%{pkgname}
Summary:        OpenStack library for privilege separation
%{?python_provide:%python_provide python3-%{pkgname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr >= 1.8
BuildRequires:  python3-sphinx
BuildRequires:  python3-oslo-sphinx
BuildRequires:  python3-babel >= 1.3
BuildRequires:  python3-oslo-log >= 1.14.0
BuildRequires:  python3-oslo-i18n >= 2.1.0
BuildRequires:  python3-oslo-config >= 2:3.14.0
BuildRequires:  python3-oslotest
BuildRequires:  python3-oslo-utils >= 3.16.0
BuildRequires:  python3-cffi
BuildRequires:  python3-eventlet
BuildRequires:  python3-greenlet
BuildRequires:  python3-msgpack >= 0.4.0

Requires:       python3-babel >= 1.3
Requires:       python3-oslo-log >= 1.14.0
Requires:       python3-oslo-i18n >= 2.1.0
Requires:       python3-oslo-config >= 2:3.14.0
Requires:       python3-oslo-utils >= 3.16.0
Requires:       python3-cffi
Requires:       python3-msgpack >= 0.4.0
Requires:       python-%{pkgname}-lang = %{version}-%{release}


%description -n python3-%{pkgname}
OpenStack library for privilege separation


%package -n     python3-%{pkgname}-tests
Summary:        OpenStack library for privilege separation tests
Requires:       python3-%{pkgname}

%description -n python3-%{pkgname}-tests
OpenStack library for privilege separation tests


%package -n python-%{pkgname}-doc
Summary:        oslo.privsep documentation
%description -n python-%{pkgname}-doc
Documentation for oslo.privsep

%package  -n python-%{pkgname}-lang
Summary:   Translation files for Oslo privsep library

%description -n python-%{pkgname}-lang
Translation files for Oslo privsep library


%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
rm -rf {,test-}requirements.txt

%build
%py3_build

# generate html docs
sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

# Generate i18n files
%{__python3} setup.py compile_catalog -d build/lib/oslo_privsep/locale

%install
%py3_install

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_privsep/locale/*/LC_*/oslo_privsep*po
rm -f %{buildroot}%{python3_sitelib}/oslo_privsep/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_privsep/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang oslo_privsep --all-name

%check
%{__python3} setup.py test ||:


%files -n python3-%{pkgname}
%doc README.rst
%{_bindir}/privsep-helper
%{_bindir}/privsep-helper
%{python3_sitelib}/oslo_privsep
%{python3_sitelib}/%{pypi_name}-*-py?.?.egg-info
%exclude %{python3_sitelib}/oslo_privsep/tests


%files -n python3-%{pkgname}-tests
%{python3_sitelib}/oslo_privsep/tests

%files -n python-%{pkgname}-doc
%license LICENSE
%doc html

%files -n python-%{pkgname}-lang -f oslo_privsep.lang
%license LICENSE

%changelog
* Wed Oct 31 2018 Miro Hrončok <mhroncok@redhat.com> - 1.13.0-8
- Subpackages python2-oslo-privsep, python2-oslo-privsep-tests have been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.13.0-6
- Rebuilt for Python 3.7

* Tue Feb 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.13.0-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 30 2017 Javier Peña <jpena@redhat.com> 1.13.0-2
- Add python3 executable (bz#1437179)

* Wed Sep 07 2016 Haikel Guemar <hguemar@fedoraproject.org> 1.13.0-1
- Update to 1.13.0

